Bug 1342486 - [RGW]: Authentication with windows Active directory service is failing
Summary: [RGW]: Authentication with windows Active directory service is failing
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: RGW
Version: 2.0
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: rc
: 2.0
Assignee: Matt Benjamin (redhat)
QA Contact: shylesh
URL:
Whiteboard:
Depends On:
Blocks: 1343229
TreeView+ depends on / blocked
 
Reported: 2016-06-03 11:36 UTC by shylesh
Modified: 2017-07-30 15:52 UTC (History)
12 users (show)

Fixed In Version: RHEL: ceph-10.2.1-18.el7cp
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-23 19:40:44 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Ceph Project Bug Tracker 16272 0 None None None 2016-06-13 21:03:15 UTC
Red Hat Bugzilla 1328435 0 unspecified CLOSED [Doc RFE] Document configuration steps for the AD integration with RGW 2021-02-22 00:41:40 UTC
Red Hat Product Errata RHBA-2016:1755 0 normal SHIPPED_LIVE Red Hat Ceph Storage 2.0 bug fix and enhancement update 2016-08-23 23:23:52 UTC

Internal Links: 1328435

Comment 10 Christina Meno 2016-06-08 18:09:19 UTC
Would you please mention which commits/patches fix this and move it to modified?

Comment 11 Matt Benjamin (redhat) 2016-06-08 18:15:42 UTC
(In reply to Harish NV Rao from comment #9)
> This needs to be addressed for 2.0 as it is blocking RGW-AD functionality
> testing.

downstream commit is 2c15567443fb67972c36b05c7dac88b4b7618215 
   (cherry picked from commit 72b2f3e8dcb879be3dac7ac03142fd4a13ff28ac)

Comment 29 shylesh 2016-07-30 07:20:59 UTC
Rgw-AD functionality is working now . Hence marking this as verified. Doc:- https://access.qa.redhat.com/documentation/en/red-hat-ceph-storage/2/ceph-object-gateway-with-ldap-ad-guide/#configuring_active_directory_and_ceph_object_gateway

Verified with build:- 10.2.2-24redhat1xenial ,RHEL + UBUNTU both are working.

Comment 31 errata-xmlrpc 2016-08-23 19:40:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-1755.html


Note You need to log in before you can comment on or make changes to this bug.